#pragma once

#include <filesystem>
#include <string>
#include <vector>

using Path = std::filesystem::path;

class PathUtils
{
public:
    static std::string getBaseFilename(const Path& path);

    static Path getRelativePath(const Path& path, const Path& relativeTo);

    static std::string getPathDelimited(const Path& path, char delimiter='-');
};
